## ros-indigo-yocs-diff-drive-pose-controller 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_diff_drive_pose_controller)

find_package(catkin REQUIRED COMPONENTS ecl_threads
                                        geometry_msgs
                                        nodelet
                                        pluginlib
                                        roscpp
                                        sensor_msgs
                                        std_msgs
                                        tf
                                        yocs_controllers
                                        yocs_math_toolkit
            )

catkin_package(INCLUDE_DIRS include
               LIBRARIES yocs_diff_drive_pose_controller_nodelet
               CATKIN_DEPENDS ecl_threads
                              geometry_msgs
                              nodelet
                              pluginlib
                              roscpp
                              sensor_msgs
                              std_msgs
                              tf
                              yocs_controllers
                              yocs_math_toolkit
              )

include_directories(include
                    ${catkin_INCLUDE_DIRS})

add_library(yocs_diff_drive_pose_controller_nodelet src/nodelet.cpp)
add_dependencies(yocs_diff_drive_pose_controller_nodelet geometry_msgs_gencpp
                                                         sensor_msgs_gencpp
                                                         std_msgs_gencpp)
target_link_libraries(yocs_diff_drive_pose_controller_nodelet ${catkin_LIBRARIES})

install(TARGETS yocs_diff_drive_pose_controller_nodelet LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.hpp")
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY plugins DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-yocs-diff-drive-pose-controller (0.6.4-0trusty) trusty; urgency=high

  * clean up debug messages #72 <https://github.com/yujinrobot/yujin_ocs/issues/72>
  * Merge remote-tracking branch 'origin/indigo' into update_ar_pair_approach
  * comment out debug messages
  * wrap heading. bounding rotational speed. replace atan to atan2
  * updates
  * base tf publisher
  * now diff drive pose controller receives target frame as topic
  * Contributors: Jihoon Lee

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.6.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.6.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.6.0-0trusty) trusty; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * pose_controller: removes result feedback when tracking new pose
  * pose_controller: improves pose approach
  * pose_controller: adds limits for linear vel
  * pose_controller: add goal reached logic and control
  * remove unused parameters.
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.5.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.5.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.5.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.5.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.4.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.4.0-0trusty) trusty; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.3.0-0trusty) trusty; urgency=high

  * Initial version.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.2.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 14 Apr 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.2.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.2.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.2.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.1.3-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.1.2-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.1.1-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-indigo-yocs-diff-drive-pose-controller (0.1.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-diff-drive-pose-controller
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecl-threads, ros-indigo-geometry-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-yocs-controllers, ros-indigo-yocs-math-toolkit
Homepage: http://ros.org/wiki/yocs_diff_drive_pose_controller
Standards-Version: 3.9.2

Package: ros-indigo-yocs-diff-drive-pose-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecl-threads, ros-indigo-geometry-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-yocs-controllers, ros-indigo-yocs-math-toolkit
Description: A controller for driving a differential drive base to a pose goal or along a path specified by multiple poses. A pose consists of a 2D position (x,y) and a 1D orientation (theta).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-diff-drive-pose-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
